import request from '@/utils/request'

// 查询分析过程日志列表
export function listAnalyzeCourseLog(query) {
  return request({
    url: '/manage/analyzeCourseLog/list',
    method: 'get',
    params: query
  })
}

// 查询分析过程日志详细
export function getAnalyzeCourseLog(id) {
  return request({
    url: '/manage/analyzeCourseLog/' + id,
    method: 'get'
  })
}

// 新增分析过程日志
export function addAnalyzeCourseLog(data) {
  return request({
    url: '/manage/analyzeCourseLog',
    method: 'post',
    data: data
  })
}

// 修改分析过程日志
export function updateAnalyzeCourseLog(data) {
  return request({
    url: '/manage/analyzeCourseLog',
    method: 'put',
    data: data
  })
}

// 删除分析过程日志
export function delAnalyzeCourseLog(id) {
  return request({
    url: '/manage/analyzeCourseLog/' + id,
    method: 'delete'
  })
}
